Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.trolltech.extensions.signalhandler
Class QSignalHandler9

    java.lang.Object
      com.trolltech.extensions.signalhandler.QSignalHandler9

    public abstract class QSignalHandler9

extends java.lang.Object

Signal handlers are a convenience class that provides compile time type checking of signal / slot connections.

Constructor Summary
`QSignalHandler9(QSignalEmitter.Signal9 signal)` Creates a new signal handler that sets up a connection from the input signal to this object.

Method Summary
`abstract void` | `handle(java.lang.Object arg1, java.lang.Object arg2, java.lang.Object arg3, java.lang.Object arg4, java.lang.Object arg5, java.lang.Object arg6, java.lang.Object arg7, java.lang.Object arg8, java.lang.Object arg9)` Reimplement this function to handle responses to the signal this handler is connected to..

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### QSignalHandler9

    public QSignalHandler9(QSignalEmitter.Signal9 signal)

  Creates a new signal handler that sets up a connection from the input signal to this object.

  Parameters:
    `signal` - The signal to connect to.

Method Detail

### handle

    public abstract void handle(java.lang.Object arg1,
                                java.lang.Object arg2,
                                java.lang.Object arg3,
                                java.lang.Object arg4,
                                java.lang.Object arg5,
                                java.lang.Object arg6,
                                java.lang.Object arg7,
                                java.lang.Object arg8,
                                java.lang.Object arg9)

  Reimplement this function to handle responses to the signal this handler is connected to..

  Parameters:
    `arg1` - The first signal argument.
    `arg2` - The second signal argument.
    `arg3` - The third signal argument.
    `arg4` - The first signal argument.
    `arg5` - The second signal argument.
    `arg6` - The third signal argument.
    `arg7` - The first signal argument.
    `arg8` - The second signal argument.
    `arg9` - The third signal argument.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD